Package org.gradle.plugins.ide.eclipse

# Class GenerateEclipseWtpFacet

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<WtpFacet>
org.gradle.plugins.ide.api.XmlGeneratorTask<WtpFacet>
org.gradle.plugins.ide.eclipse.GenerateEclipseWtpFacet

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

public class GenerateEclipseWtpFacet extends XmlGeneratorTask<WtpFacet>
Generates the org.eclipse.wst.common.project.facet.core settings file for Eclipse WTP. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseWtpFacet`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

`afterConfigured, beforeConfigured, domainObject, generator`

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`GenerateEclipseWtpFacet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configure(WtpFacet xmlFacet)`
`protected WtpFacet`
`create()`
`EclipseWtpFacet`
`getFacet()`
The Eclipse WTP facet model containing the details required to generate the settings file.
`void`
`setFacet(EclipseWtpFacet facet)`

### Methods inherited from class org.gradle.plugins.ide.api.XmlGeneratorTask

`getXmlTransformer`

### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

`getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GenerateEclipseWtpFacet

public GenerateEclipseWtpFacet()

## Method Details

### create

protected WtpFacet create()

Specified by:
  `create` in class `XmlGeneratorTask<WtpFacet>`

### configure

protected void configure(WtpFacet xmlFacet)

Specified by:
  `configure` in class `XmlGeneratorTask<WtpFacet>`

### getFacet

@Internal public EclipseWtpFacet getFacet()
The Eclipse WTP facet model containing the details required to generate the settings file.

### setFacet

public void setFacet(EclipseWtpFacet facet)